DO $$ 
	DECLARE _path character varying(256) = 'patch-2025-04-03-EmailTimeSentItems';

	BEGIN
		IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Path"=_path) THEN
			RETURN;
		END IF;

		IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Build">=14845) THEN
			RETURN;
		END IF;

		BEGIN
            ALTER TABLE public."EmailTimeSentItems" ADD "Type" smallint not null default 0;

 			INSERT INTO public."Versions" ("Path", "Build") VALUES (_path, 0);
			EXCEPTION
				WHEN OTHERS THEN RAISE NOTICE '[ERR] patch-2025-04-03-EmailTimeSentItems: %', SQLERRM;
		END;
	END;
$$